petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGetProcessorSubsets

Returns communicators consisting only of the processors in a DMDA adjacent in a particular dimension, corresponding to a logical plane in a 3D grid or a line in a 2D grid.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetProcessorSubsets(DM da, DMDADirection dir, MPI_Comm *subcomm)

Collective on DMDA Many br

### Input Parameters

| da | - the distributed array Many br
| dir | - Cartesian direction, either DMDA_X, DMDA_Y, or DMDA_Z Many br

### Output Parameters

subcomm -new communicator Many br

Many br

### Notes

This routine is useful for distributing one-dimensional data in a tensor product grid. Many br

### Keywords

distributed array, get, processor subset

Level:advanced
Location:src/dm/impls/da/dasub.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex51.c.html